=== debian/changelog ===
rpncalc (1.1-3) unstable; urgency=low

  * New debian changelog format; new packaging format

 -- David Frey <david@eos.lugs.ch>  Sat, 14 Sep 1996 01:01:27 +0200

Wed Aug 14 23:17:42 1996  David Frey  <david@eos.lugs.ch>

	* Bug#4156, unexecutable /usr/man, /usr/man/man1 fixed.

Sat Jul 13 19:53:43 1996  David Frey  <david@eos.lugs.ch>

	* cleaned up the readline access code.
	  You can always use readline(), regardless wether
	  reading from terminal or from stdin (file).

	* Command completion added. Modelled after the fileman.c
	  example in the readline library.

Sun Mar 17 15:20:47 1996  David Frey  <david@eos.lugs.ch>

	* the rpncalc in rpncalc-1.0-3.deb was statically linked.
	  This version is dynamically linked as it should be.

Sat Mar 16 21:55:28 1996  David Frey  <david@eos.lugs.ch>

	* recompiled for ELF distribution.

Sun Feb 11 22:52:31 1996  David Frey  <david@eos.lugs.ch>

	* revised the man page.

	* corrected e-Mail-address to <David.Frey@eos.lugs.ch>.
	  The address <David.Frey@lugs.ch> is still valid, but replies
	  to <david@eos.lugs.ch> will get bounced.

Wed Jan 24 23:08:37 1996  David Frey  <david@eos.lugs.ch>

	* changed libreadline dependency in debian.control
	  (Bug #2214 reported by E. Branderhorst <branderhorst@fgg.eur.nl>)

	* fixed spelling bug in debian.control
	  (Bug #2214 reported by E. Branderhorst <branderhorst@fgg.eur.nl>)
