=== debian/control ===
Source: rpncalc
Section: math
Priority: optional
Maintainer: David Frey <David.Frey@eos.lugs.ch>
Standards-Version: 2.0.1.0

Package: rpncalc
Architecture: any
Depends: ${shlibs:Depends}
Description: a rpn calculator trying to emulate an HP28S
 rpncalc is an calculator similar to dc(1), but it uses the readline
 library and shows the stack visually.
