=== debian/changelog ===
rpncalc (1.15-2) unstable; urgency=low

  * gzipped manpage, 
  * built package with dpkg-source from dpkg-dev 1.4.0.7

 -- David Frey <david@eos.lugs.ch>  Thu, 30 Jan 1997 00:33:31 +0100

rpncalc (1.15-1) unstable; urgency=low

  * Code cleanups; new `char' command.
  * Experimental support for FreeBSD, SunOs 4 and SunOs 5
    (read: I was able to compile it, but haven't tested it
     extensively)
  * `help' uses the command table to display it's commands

 -- David Frey <david@eos.lugs.ch>  Sat, 25 Jan 1997 20:16:54 +0059

rpncalc (1.1-4) unstable; urgency=low

  * relinked with libc5.4-7

 -- David Frey <david@eos.lugs.ch>  Sat, 9 Nov 1996 19:03:56 +0059
