=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Last updated: $Date: 1996/08/14 21:21:16 $ by $Author: david $
+# Last updated: $Date: 1996/10/26 15:21:19 $ by $Author: david $
 #
 # This rules file was adapted from the
 #   Sample debian.rules file - for GNU Hello (1.3).
@@ -12,22 +12,14 @@
 #   This file may have to be extensively modified
 
 # The name of the package (for example, `emacs').
-package = rpncalc
-# The version of the package (for example, `19.28').
-version = 1.1
-# The Debian revision of the package (for example, `2').
-debian = 2
-
-# ARCH = $(shell dpkg --print-architecture)
+package = $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
 
 build:
-# Builds the binary package.
 	$(checkdir)
 	$(MAKE) $p #CFLAGS=-O2 LDFLAGS=
 	touch build
 
 clean:
-# Undoes the effect of `make -f debian.rules build'.
 	$(checkdir)
 	-rm -f build
 	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
@@ -42,13 +34,13 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
-	install -d debian/tmp debian/tmp/DEBIAN
-	install -d debian/tmp/usr/doc/$(package)
+	install -d debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)
 	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c -s' \
 		prefix=debian/tmp/usr install
 	cp debian/copyright debian/tmp/usr/doc/$(package)/.
 	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
+	gzip -9f debian/tmp/usr/doc/$(package)/changelog.Debian
+	gzip -9  debian/tmp/usr/man/man1/rpncalc.1
 	dpkg-shlibdeps $(package)
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
