## rpncalc 1.20-2

=== debian/changelog ===
rpncalc (1.20-2) unstable; urgency=low

  * changed maintainer address to (working) Debian-Adress
  * fixed bugs found by lintian: old FSF address and md5sums-pathnames
    starting with `.'.

 -- David Frey <dfrey@debian.org>  Tue, 10 Feb 1998 21:43:09 +0100

rpncalc (1.20-1) unstable; urgency=low

  * shlibs.local file deleted;
    fixes Bug #16420 (rpncalc: spurious shlibs.local file)
 
  * added some math functions to complete math library:
    cbrt, log1p, exp1m, hypot, cbrt, floor, rint, fmod.
  
  * made the whole thing autoconfiguring. This is experimental; the
    autoconfiguring code is not complete (for speed); it assumes a 
    working ANSI-C-Compiler and a working POSIX.1 system (C-library).
    This isn't a problem for modern Unices, though.
  
  * re-upload with version 1.20 instead of 1.2 for dpkg-upgrade reasons
    (1.20 is greater than 1.15, but 1.2 is not)

 -- David Frey <david@eos.lugs.ch>  Sat, 10 Jan 1998 15:44:16 +0100

rpncalc (1.15-5) unstable; urgency=low

  * fixes Bug #16198 (rpncalc: dumps core if input begins with space)
  
 -- David Frey <david@eos.lugs.ch>  Sat, 27 Dec 1997 19:11:40 +0100

rpncalc (1.15-4) unstable; urgency=low

  * changed maintainer address back to <David.Frey@eos.lugs.ch>
  * updated to Standard 2.3.0.1
  
 -- David Frey <david@eos.lugs.ch>  Sun, 21 Dec 1997 22:03:49 +0100

rpncalc (1.15-3) unstable; urgency=low

  * changes for libc6: pow10 and pow2 are gone.
  * changed maintainer address to dFrey@debian.org
  * added md5sums in debian/rules

 -- David Frey <david@eos.lugs.ch>  Thu, 11 Sep 1997 23:06:13 +0200
