=== debian/changelog ===
rpncalc (1.20-4) frozen unstable; urgency=medium

  * Recompile against ncurses4.2; re-upload for Debian 2.1

 -- David Frey <dfrey@debian.org>  Sat,  7 Nov 1998 20:11:45 +0100

rpncalc (1.20-3) unstable; urgency=low

  * Recompile against libncurses4.2

 -- David Frey <dfrey@debian.org>  Sat, 31 Oct 1998 00:03:04 +0100
