=== debian/control ===
Source: rpncalc
Section: math
Priority: optional
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 2.3.0.1

Package: rpncalc
Architecture: any
Depends: ${shlibs:Depends}
Description: a RPN calculator trying to emulate an HP28S
 rpncalc is a calculator similar to dc(1), but it uses the readline
 library and shows the stack visually.
