## rpncalc 1.31.7

=== debian/changelog ===
rpncalc (1.31.7) frozen unstable; urgency=low

  * applied patch from Ben Collins to make it compile with libreadline4
    (thanks, Ben)
  * added `externs' where appropriate and included prototypes where needed.

 -- David Frey <dfrey@debian.org>  Sun,  2 Apr 2000 18:18:08 +0200

rpncalc (1.31.6) unstable; urgency=low

  * show sign-on-notice only when interactive.

 -- David Frey <dfrey@debian.org>  Sat,  6 Nov 1999 21:53:15 +0100

rpncalc (1.31.5) unstable; urgency=low

  * made package FHS compliant

 -- David Frey <dfrey@debian.org>  Sun, 12 Sep 1999 22:41:35 +0200

rpncalc (1.31.4) unstable; urgency=low

  * new language: es.
    Claudio S. Surez Snchez <csuarez@ctv.es> was so nice to translate
    the manual page and the po-file into spanish. Thanks a lot!
  
  * Cleaned up parser a little more.

 -- David Frey <dfrey@debian.org>  Sat, 10 Jul 1999 17:52:21 +0200

rpncalc (1.31.3) unstable; urgency=medium

  * fixed embarassing typo in scan.l (fixes Bug#40818)
  * Version is now correctly printed out again.

 -- David Frey <dfrey@debian.org>  Tue,  6 Jul 1999 22:33:25 +0200

rpncalc (1.31.2) unstable; urgency=low

  * fixed bug in parsing octal/hexadecimal numbers introduced by using lex
    and yacc.
  * better checking for errno != 0.

 -- David Frey <dfrey@debian.org>  Fri, 25 Jun 1999 23:27:44 +0200

rpncalc (1.31.1) unstable; urgency=low

  * added the fp and ip functions.
  * added variables
  * Finnish messages, thanks to Antti-Juhani Kaijanaho <ajk@debian.org>,
    thanks!
  * Alpha needs a manual addition of -mieee-flag in order to force IEEE-math 
    compability
  * renamed changelog.Debian into changelog, since this is a native 
    Debian package.

 -- David Frey <dfrey@debian.org>  Sat, 15 May 1999 20:42:33 +0200

rpncalc (1.30-5) unstable; urgency=low

  * better HP28S-compability.
  * internationalized, uses now gettext.
  * uses now autoconf and automake.
  * uses now lex and yacc for cleaner implementation and extensibility.

 -- David Frey <dfrey@debian.org>  Sat,  6 Mar 1999 01:20:47 +0100
