=== debian/rules ===
#!/usr/bin/make -f
#                                                            -*- Makefile -*-
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#   I hereby give you perpetual unlimited permission to copy,
#   modify and relicense this file, provided that you do not remove
#   my name from the file itself.  (I assert my moral right of
#   paternity under the Copyright, Designs and Patents Act 1988.)
#   This file may have to be extensively modified

# The name of the package (for example, `emacs').
package	:= $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
tmp	:= debian/tmp
doc	:= usr/share/doc/$(package)
manroot := usr/share/man
man	:= $(manroot)/man1


build:
	automake && autoconf && ./configure --prefix=/usr && $(MAKE) \
	  && touch build

clean:
	-rm -f build 
	-[ -r Makefile ] && $(MAKE) maintainer-clean 
	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files* 

binary-indep:	build
# There are no architecture-independent files.
# If there were any they would be made here.

binary-arch:	build
	-rm -rf $(tmp)
	mkdir $(tmp) $(tmp)/usr $(tmp)/usr/bin
	cd $(tmp) && install -d $(doc) $(manroot)
	$(MAKE) DESTDIR=$(tmp) install
	strip --strip-all $(tmp)/usr/bin/$(package)
	cp debian/changelog $(tmp)/$(doc)/changelog
	gzip -9f $(tmp)/$(doc)/changelog
	gzip -9  $(tmp)/$(man)/$(package).1 \
	         $(tmp)/$(manroot)/*/man1/$(package).1
	cp debian/copyright $(tmp)/$(doc)
	dpkg-shlibdeps $(package)
	install -d $(tmp)/DEBIAN
	cd debian && install -m 755 postinst prerm tmp/DEBIAN
	dpkg-gencontrol
	chown -R root.root $(tmp)
	chmod -R g-ws $(tmp)
	dpkg --build $(tmp) ..

# Below here is fairly generic really
binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean
