## rpncalc 1.31.13

=== debian/changelog ===
rpncalc (1.31.13) unstable; urgency=low

  * fixed rules file to include the i18n files correctly.

 -- David Frey <dfrey@debian.org>  Sun, 27 Jan 2002 20:23:51 +0100

rpncalc (1.31.12) unstable; urgency=low

  * updated config.guess and config.sub (closes: #129246)

 -- David Frey <dfrey@debian.org>  Mon, 14 Jan 2002 22:26:27 +0100

rpncalc (1.31.11) unstable; urgency=low

  * excluded spanish manpage since it is included in manpages-es-extra
    (closes: Bug #127512)
  * updated for standard version 3.5.6

 -- David Frey <dfrey@debian.org>  Sun, 13 Jan 2002 21:05:57 +0100

rpncalc (1.31.10) unstable; urgency=low

  * drop sunos5 support
  * fix Bug 105596 (closes: Bug #105596)
  * updated readline prototypes.

 -- David Frey <dfrey@debian.org>  Tue, 17 Jul 2001 23:04:59 +0200

rpncalc (1.31.9) unstable; urgency=low

  * Updated to policy 3.5.5
  * Updated autoconf scripts (closes: #103632)

 -- David Frey <dfrey@debian.org>  Fri, 13 Jul 2001 23:37:09 +0200

rpncalc (1.31.8) unstable; urgency=low

  * recompile for woody.

 -- David Frey <dfrey@debian.org>  Sun,  7 Jan 2001 22:43:05 +0100
