=== debian/rules ===
--- 
+++ 
@@ -12,20 +12,32 @@
 
 # The name of the package (for example, `emacs').
 package	:= $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
-tmp	:= debian/tmp
-doc	:= usr/share/doc/$(package)
-manroot := usr/share/man
+
+tmp	:= $(PWD)/debian/tmp
+
+prefix	:= usr
+bin	:= $(prefix)/bin
+doc	:= $(prefix)/share/doc/$(package)
+manroot := $(prefix)/share/man
+locale	:= $(prefix)/share/locale/
 man	:= $(manroot)/man1
 
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+AM_INSTALL_PROGRAM_FLAGS += -s
+endif
 
 build:
-	automake && autoconf && ./configure --prefix=/usr && $(MAKE) \
-	  && touch build
+	automake && autoconf2.50 && \
+	./configure --prefix=/$(prefix) && $(MAKE) &&\
+	touch build
 
 clean:
-	-rm -f build 
-	-[ -r Makefile ] && $(MAKE) maintainer-clean 
-	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files* 
+	-rm -f build
+	-[ -r Makefile ] && $(MAKE) maintainer-clean
+	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files*
 
 binary-indep:	build
 # There are no architecture-independent files.
@@ -33,21 +45,22 @@
 
 binary-arch:	build
 	-rm -rf $(tmp)
-	mkdir $(tmp) $(tmp)/usr $(tmp)/usr/bin
-	cd $(tmp) && install -d $(doc) $(manroot)
-	$(MAKE) DESTDIR=$(tmp) install
-	strip --strip-all $(tmp)/usr/bin/$(package)
+	mkdir $(tmp) $(tmp)/$(prefix) $(tmp)/$(bin)
+	cd $(tmp) && install -d $(doc) $(manroot) $(locale)
+	$(MAKE) AM_INSTALL_PROGRAM_FLAGS=-s DESTDIR=$(tmp) install
+	strip --strip-all $(tmp)/$(bin)/$(package)
 	cp debian/changelog $(tmp)/$(doc)/changelog
 	gzip -9f $(tmp)/$(doc)/changelog
 	gzip -9  $(tmp)/$(man)/$(package).1 \
 	         $(tmp)/$(manroot)/*/man1/$(package).1
+	rm -rf $(tmp)/$(manroot)/es
 	cp debian/copyright $(tmp)/$(doc)
 	dpkg-shlibdeps $(package)
 	install -d $(tmp)/DEBIAN
 	cd debian && install -m 755 postinst prerm tmp/DEBIAN
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
-	chmod -R g-ws $(tmp)
+	chmod -R g-ws,go=rX $(tmp)
 	dpkg --build $(tmp) ..
 
 # Below here is fairly generic really
