## rpncalc 1.33.4

=== debian/changelog ===
rpncalc (1.33.4) unstable; urgency=low

  * run automake stuff by hand before uploading
    (closes Bug#195499: rpncalc: FTBFS: Automake version mismatch)

 -- David Frey <dfrey@debian.org>  Sun, 14 Sep 2003 23:05:10 +0200

rpncalc (1.33.3) unstable; urgency=low

  * updated aclocal.m4 (closes Bug#195499: rpncalc: FTBFS: Automake version mismatch)

 -- David Frey <dfrey@debian.org>  Mon,  9 Jun 2003 22:41:56 +0200

rpncalc (1.33.2) unstable; urgency=low

  * Separate -I and -8 flag (closes: #190957)

 -- David Frey <dfrey@debian.org>  Sun, 27 Apr 2003 17:25:59 +0200

rpncalc (1.33.1) unstable; urgency=low

  * Do not include file names into the completion selection, only
    complete functions.

 -- David Frey <dfrey@debian.org>  Thu, 10 Apr 2003 00:06:20 +0200

rpncalc (1.32.3) unstable; urgency=low

  * do not set link to /usr/doc in postinst (fixes lintian bug)
  * update to newer automake 1.7

 -- David Frey <dfrey@debian.org>  Sat, 15 Feb 2003 17:44:41 +0100

rpncalc (1.32.2) unstable; urgency=low

  * added m4/glibc21.m4 (closes: #159251)

 -- David Frey <dfrey@debian.org>  Mon,  2 Sep 2002 21:58:13 +0200

rpncalc (1.32.1) unstable; urgency=low

  * applied patch from Vernon Mauery which adds binary mode input and
    output.
  * added Build-Depends line.
  * change autoconfiguration to adapt to autoconf2.5 and automake.

 -- David Frey <dfrey@debian.org>  Mon, 19 Aug 2002 23:26:30 +0200
