=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: rpncalc
+Build-Depends: bison, flex, automake1.7, autoconf (>= 2.57), gettext
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.5.5
+Standards-Version: 3.5.8
 
 Package: rpncalc
 Architecture: any
