=== debian/rules ===
--- 
+++ 
@@ -28,11 +28,10 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 AM_INSTALL_PROGRAM_FLAGS += -s
 endif
+STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
 
 build:
-	automake && autoconf2.50 && \
-	./configure --prefix=/$(prefix) && $(MAKE) &&\
-	touch build
+	./configure --prefix=/$(prefix) && $(MAKE) && touch build
 
 clean:
 	-rm -f build
@@ -48,7 +47,7 @@
 	mkdir $(tmp) $(tmp)/$(prefix) $(tmp)/$(bin)
 	cd $(tmp) && install -d $(doc) $(manroot) $(locale)
 	$(MAKE) AM_INSTALL_PROGRAM_FLAGS=-s DESTDIR=$(tmp) install
-	strip --strip-all $(tmp)/$(bin)/$(package)
+	strip $(STRIPOPTIONS) $(tmp)/$(bin)/$(package)
 	cp debian/changelog $(tmp)/$(doc)/changelog
 	gzip -9f $(tmp)/$(doc)/changelog
 	gzip -9  $(tmp)/$(man)/$(package).1 \
@@ -57,7 +56,7 @@
 	cp debian/copyright $(tmp)/$(doc)
 	dpkg-shlibdeps $(package)
 	install -d $(tmp)/DEBIAN
-	cd debian && install -m 755 postinst prerm tmp/DEBIAN
+	cd debian && install -m 755 prerm tmp/DEBIAN
 	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
 	chmod -R g-ws,go=rX $(tmp)
