## rpncalc 1.33.5

=== debian/changelog ===
rpncalc (1.33.5) unstable; urgency=low

  * added updated translation for finnish (closes: Bug#227037).
    Thanks to Antti-Juhani Kaijanaho for sending me an updated
    finnish translation.
  * clean config.cache and config.status by calling distclean
  * updated setting of the version constant in configure.in
    (now parsed out of the Debian changelog file)
  * 

 -- David Frey <david@eos.lugs.ch>  Mon, 12 Jan 2004 01:25:37 +0100
