=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: rpncalc
-Build-Depends: bison, flex, automake1.7, autoconf (>= 2.57), gettext
+Build-Depends: bison, flex, automake1.8, autoconf (>= 2.57), gettext
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
