=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,12 @@
 STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
 
 build:
-	./configure --prefix=/$(prefix) && $(MAKE) && touch build
+	LINGUAS="de es fi" ./configure --prefix=/$(prefix) && \
+	$(MAKE) && touch build
 
 clean:
 	-rm -f build
-	-[ -r Makefile ] && $(MAKE) maintainer-clean
+	-[ -r Makefile ] && $(MAKE) distclean
 	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files*
 
 binary-indep:	build
