## rpncalc 1.34

=== debian/changelog ===
rpncalc (1.34) unstable; urgency=low

  * added french translation. Thanks to Nicolas Bertolissio.
  * updated version to 1.34 (it is not an NMU version) [fixes lintian warning]
  * updated standards version [fixes lintian warning]
  * saved changelog as UTF-8 [fixes lintian warning]

 -- David Frey <david@eos.lugs.ch>  Tue, 17 Aug 2004 22:42:22 +0200
