=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.5.8
+Standards-Version: 3.6.6
 
 Package: rpncalc
 Architecture: any
