=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
 
 build:
-	LINGUAS="de es fi" ./configure --prefix=/$(prefix) && \
+	LINGUAS="de es fi fr" ./configure --prefix=/$(prefix) && \
 	$(MAKE) && touch build
 
 clean:
