## rpncalc 1.35

=== debian/changelog ===
rpncalc (1.35) unstable; urgency=low

  * recreate aclocal.m4 (closes: Bug#195499)
  * remove "a" prefix in packges description (closes: Bug#300035).
    This solves the discussion whether "a" or "an" is correct.
  * updated de.po (high german version with sharp s).
  * Expanded build dependencies with "libreadline5-dev|libreadline-dev"
    (closes: Bug#326301)
  * remove PACKAGE.pot file (closes: Bug#329393)
  * Updated FSF's address again.
  * Update to Standard version 3.6.2.

 -- David Frey <dfrey@debian.org>  Mon, 26 Sep 2005 22:21:32 +0200
