=== debian/changelog ===
rpncalc (1.36.5) unstable; urgency=low

  * add missing Build-dependancy to ed (closes: #397314)
    (thanks to Andreas Jochens for reporting this)

 -- David Frey <david@eos.lugs.ch>  Mon,  6 Nov 2006 22:03:45 +0100

rpncalc (1.36.4) unstable; urgency=low

  * call "make clean" in clean target of debian/rules
    (closes: #396323)

 -- David Frey <david@eos.lugs.ch>  Sun,  5 Nov 2006 17:08:28 +0100

rpncalc (1.36.3) unstable; urgency=low

  * use dh_strip for stripping executable
    (this might fix the OS/390 build).

 -- David Frey <david@eos.lugs.ch>  Thu,  2 Nov 2006 00:08:40 +0100

rpncalc (1.36.2) unstable; urgency=low

  * Do not "install -s", in order that strip does not fail
    (this might fix the OS/390 build).

 -- David Frey <david@eos.lugs.ch>  Tue, 31 Oct 2006 23:33:50 +0100

rpncalc (1.36) unstable; urgency=low

  * get rid of autoconf machinery (closes: #330816)  
  * do not explicitely link against ncurses (thanks to the checklib mail)
  * clean up po-subdirectory (closes: #331645)

 -- David Frey <david@eos.lugs.ch>  Thu, 26 Oct 2006 23:12:01 +0200
