=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: rpncalc
-Build-Depends: bison, flex, automake1.9, autoconf (>= 2.57), gettext, libreadline5-dev | libreadline-dev
+Build-Depends: bison, ed, flex, gettext, libreadline5-dev | libreadline-dev, debhelper
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
