=== debian/rules ===
--- 
+++ 
@@ -25,19 +25,14 @@
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -g
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-AM_INSTALL_PROGRAM_FLAGS += -s
-endif
-STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
 
 build:
-	LINGUAS="de es fi fr" ./configure --prefix=/$(prefix) && \
 	$(MAKE) && touch build
 
 clean:
+	$(MAKE) clean
 	-rm -f build
-	-[ -r Makefile ] && $(MAKE) distclean
-	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files*
+	-rm -rf *~ $(tmp) debian/*~ debian/files debian/substvars
 
 binary-indep:	build
 # There are no architecture-independent files.
@@ -47,8 +42,8 @@
 	-rm -rf $(tmp)
 	mkdir $(tmp) $(tmp)/$(prefix) $(tmp)/$(bin)
 	cd $(tmp) && install -d $(doc) $(manroot) $(locale)
-	$(MAKE) AM_INSTALL_PROGRAM_FLAGS=-s DESTDIR=$(tmp) install
-	strip $(STRIPOPTIONS) $(tmp)/$(bin)/$(package)
+	$(MAKE) DESTDIR=$(tmp) install
+	dh_strip $(tmp)/$(bin)/$(package)
 	cp debian/changelog $(tmp)/$(doc)/changelog
 	gzip -9f $(tmp)/$(doc)/changelog
 	gzip -9  $(tmp)/$(man)/$(package).1 \
@@ -62,6 +57,7 @@
 	chown -R root.root $(tmp)
 	chmod -R g-ws,go=rX $(tmp)
 	dpkg --build $(tmp) ..
+	chmod a+r debian/files
 
 # Below here is fairly generic really
 binary:		binary-indep binary-arch
