## rpncalc 1.36.5-0.1

=== debian/changelog ===
rpncalc (1.36.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use $(CURDIR) instead of $(PWD) in debian/rules to fix FTBFS when using
    sudo (closes: #418354).  Thanks, Steve Langasek!

 -- Julien Cristau <jcristau@debian.org>  Sun, 27 May 2007 17:15:28 +0200
